{% extends "base.html.twig" %}
{% block content %}
    <style>
        .glyphicon {
            cursor: pointer;
        }
    </style>
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div class="panel panel-default">
                    <div class="panel-header">
                        <h2>add new post</h2>
                    </div>
                    <div class="panel-body">
                        <form method="post" action="/post/addPost">
                            <div class="form-group">
                                <label for="exampleInputEmail1">Post Text</label>
                                <textarea name="text" class="form-control" rows="3"></textarea>
                            </div>
                            <select class="form-control" name="categoryId">
                                {% for category in categories %}
                                    <option value="{{ category.id }}">{{ category.name }}</option>
                                {% endfor %}
                            </select>
                            <button type="submit" class="btn btn-default">Submit</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="page-header">
            <h1>PostsList</h1>
            {% for i in 0..limit-1 %}
                <div class="row">
                    <div class="col-md-8 col-md-offset-2">
                        <div class="panel panel-default">
                            <div class="panel-header">
                                <h3>Category: {{ posts[i].category.name }}</h3>
                            </div>
                            <div class="panel-body">
                                {{ posts[i].text }}
                            </div>
                            <div class="panel-footer">
                                <span class="glyphicon glyphicon-heart {% if user in posts[i].users %}text-danger{% endif %}" aria-hidden="true" data-post="{{ posts[i].id }}"></span>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
    <script>
        $(function(){
            $('.glyphicon-heart').click(function () {
                $(this).toggleClass('text-danger')
                $.post('/user/toggleLike', {'postId':$(this).data('post')})
            })
            
        })
    </script>
{% endblock %}